Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: 45mg <[email-masked]>
Date: Wed, 26 Feb 2025 10:33:10 +0000

Arun Isaac <[email-masked]> writes:

>> Like I've said several times in this discussion so far, we should look
>> into the state of the art of shallow cloning. It might be efficient
>> enough on the server-side these days to be the smart move. I agree that
>> downloading 1 GB in this context is bad.
>
> Good idea. I don't know if our `guix authenticate' security model would
> still work with a shallow clone. But, it's worth exploring.

If shallow cloning leads to a truncated commit history that doesn't
include the current introductory commit
(9edb3f66fd807b096b48283debdcddccfea34bad), then you'd need to specify a
later commit as the introductory commit during the first run of `guix
git authenticate`. Other than that, it should still work.